package io.gmss.fiscad.implementations.infocad.metier;

import io.gmss.fiscad.entities.infocad.metier.Piece;
import io.gmss.fiscad.exceptions.BadRequestException;
import io.gmss.fiscad.exceptions.NotFoundException;
import io.gmss.fiscad.interfaces.infocad.metier.PieceService;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import java.util.List;
import java.util.Optional;

public class PieceServiceImpl implements PieceService {
    @Override
    public Piece createPiece(Piece piece) throws BadRequestException {
        return null;
    }

    @Override
    public Piece updatePiece(Long id, Piece piece) throws NotFoundException {
        return null;
    }

    @Override
    public void deletePiece(Long id) throws NotFoundException {

    }

    @Override
    public Page<Piece> getPieceList(Pageable pageable) {
        return null;
    }

    @Override
    public List<Piece> getPieceList() {
        return null;
    }

    @Override
    public Optional<Piece> getPieceById(Long id) {
        return Optional.empty();
    }
}
